# Azure Active Directory Sync[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

## This plugin provides a macro to synchronize your Azure Active Directory users to DSS[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

This DSS plugin completes your SSO setting by offering some degree of synchronization between selected groups of Azure Active Directory users and the DSS user list.

## Plugin information[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

|  |  |

| --- | --- |

| Version | 1.0.5 |

| Author | Dataiku |

| Released | 2020-11-06 |

| Last updated | 2021-08-12 |

| License | Apache Software License |

| Source code | Github |

| Reporting issues | Github |

## How to set up[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

Add a client secret to the app

The API permissions tab should appear as above

## How to use[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

* dss\_group\_name

* aad\_group\_name,

* dss\_profile

* date

* user

* type

* message

## Limitations[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

Please note that:

* Users created on the DSS side will have DSS handles based on their Azure Active Directory email address, with @ and # being replaced by an underscore character. For instance, `[email protected]` will have`john.doe_mycorp.com` handle on DSS.

* Local users already created on DSS will be untouched by the synchronization

* Any change on users performed on the DSS side will not be reflected on Azure AD. The AD remains the source of truth for synchronized users.

### Install In DSS[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

To install the plugin, open the  Apps menu, click Plugins and search for Azure Active Directory Sync.

Alternatively, you can download a zipped version here.

### Get the Dataiku Data Sheet[¶](https://www.dataiku.com/product/plugins/azure-ad-sync/)

Learn everything you ever wanted to know about Dataiku (but were afraid to ask), including detailed specifications on features and integrations.
