# Accessibility[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#accessibility "Permalink to this headline")

Dataiku DSS has a number of keyboard shortcuts to ease navigation within the product.

## Global Shortcuts[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#global-shortcuts "Permalink to this headline")

* `?`: Display keyboard shortcuts

* `g` + `c`: Go to Catalog

## Project Navigation[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#project-navigation "Permalink to this headline")

* `g` + `f`: Go to Flow

* `g` + `d`: Go to Datasets list

* `g` + `a`: Go to Analysis list

* `g` + `r`: Go to Recipes list

* `g` + `n`: Go to Notebooks list

* `g` + `w`: Go to Wiki

* `g` + `l`: Go to Code Libraries

* `g` + `i`: Go to Insights list

* `g` + `j`: Go to Jobs list

* `g` + `p`: Go to Dashboard

## Within the Flow[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-the-flow "Permalink to this headline")

* `z`: Zoom on previous dataset

* `shift` + `z` + `r`: Reset zoom

* `shift` + `click`: Multiple select individual items

* `shift` + `drag`: Rectangular selection

* `space`: Toggle between Details and Actions tab for selected object

* `+` or `-`: Control zoom

* `←` or `→`: Move horizontally

* `↑` or `↓`: Move vertically

## Within a Dataset[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-a-dataset "Permalink to this headline")

* `g` + `e`: Go to Explore tab

* `g` + `v`: Go to Charts tab

* `g` + `l` + `a`: Go to Last Analysis

* `c`: Scroll to column (Explore tab)

* `shift` + `h`: Toggle highlight on current row (Explore tab)

* `shift` + `v`: View complete value of current cell or preview the content when option is enabled (Explore tab)

* `s` + `h` + `h`: Toggle full size / normal size (Charts tab)

## Within a Prepare Recipe[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-a-prepare-recipe "Permalink to this headline")

* `c`: Scroll to column

* `a`: Open processors library

* `shift` + `h`: Toggle highlight on current row

* `shift` + `v`: View complete value of current cell or preview the content when option is enabled

* `alt` + `a`: Toggle auto-refresh

## Within a Code Recipe[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-a-code-recipe "Permalink to this headline")

* `ctrl` + `enter`: Validate the script

## Within any Recipe[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-any-recipe "Permalink to this headline")

* `@` + `r` + `u` + `n`: Runs the recipe

## Within any Code Editor (Excluding Notebooks)[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-any-code-editor-excluding-notebooks "Permalink to this headline")

### For Windows Machines[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#for-windows-machines "Permalink to this headline")

* `ctrl` + `home`: Move the cursor to the start of the document

* `ctrl` + `end`: Move the cursor to the end of the document

* `alt` + `left`: Move the cursor to the start of the line

* `alt` + `right`: Move the cursor to the end of the line

* `ctrl` + `f`: Find instance

* `ctrl` + `g`: Find next instance

* `shift+ctrl+g`: Find previous instance

* `shift+ctrl+f`: Replace one instance

* `shift+ctrl+r`: Replace all instances

### For Macintosh Machines[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#for-macintosh-machines "Permalink to this headline")

* `cmd` + `up`: Move the cursor to the start of the document

* `cmd` + `down`: Move the cursor to the end of the document

* `ctrl` + `a`: Move the cursor to the start of the line

* `ctrl` + `e`: Move the cursor to the end of the line

* `cmd` + `f`: Find instance

* `cmd` + `g`: Find next instance

* `shift+cmd+g`: Find previous instance

* `cmd+option+f`: Replace one instance

* `shift+cmd+option+f`: Replace all instances

## Within any Flow Object[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-any-flow-object "Permalink to this headline")

* `shift+a`: Opens the navigator. Use the arrow keys to navigate within the navigator.

## Within Plugins Development[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-plugins-development "Permalink to this headline")

* `@` + `r` + `c` + `d`: Reloads the plugin

## Within a Dataset Insight[¶](https://doc.dataiku.com/dss/latest/accessibility/index.html#within-a-dataset-insight "Permalink to this headline")

* `c`: Scroll to column

* `shift` + `h`: Toggle highlight on current row

* `shift` + `v`: View complete value of current cell or preview the content when option is enabled
