# Tips: Use Project Folders in Dataiku[¶](https://knowledge.dataiku.com/latest/kb/governance/How-to-use-project-folders-in-DSS.html#tips-use-project-folders-in-dataiku "Permalink to this headline")

As the number of projects on a Dataiku instance grows, it is important to maintain an organizational structure easily understood by all contributors. At the same time, any organizational structure should also support the data governance policies of the enterprise.

As detailed in the product documentation, project folders in Dataiku support both of these objectives.

## Improve Organization[¶](https://knowledge.dataiku.com/latest/kb/governance/How-to-use-project-folders-in-DSS.html#improve-organization "Permalink to this headline")

Project Folders allow you to organize projects in a hierarchy of folders of unlimited depth. Just drag and drop projects (or existing folders of projects) into or out of folders. Click holding the shift key to select multiple projects at a time.

Alternatively, you can manage project folders via the Public API. Programmatically create empty folders to generate an organizational structure from a script. See the Python API documentation to learn more.

## Control Access[¶](https://knowledge.dataiku.com/latest/kb/governance/How-to-use-project-folders-in-DSS.html#control-access "Permalink to this headline")

You can also properly control access to folders using the same groups-based permissions framework applied to projects.

Project folders in Dataiku have read, write, and admin permissions. You can grant these permissions to any groups on the instance.

The permissions of a new subfolder default to the permissions of the parent folder, and can be changed as needed.

While you can define permissions to view or edit a project folder, these will not affect the permissions to view or edit the individual projects that live in that folder.

See the video below for a walkthrough of how to utilize project folders in Dataiku:

## What’s Next?[¶](https://knowledge.dataiku.com/latest/kb/governance/How-to-use-project-folders-in-DSS.html#whats-next "Permalink to this headline")

Be sure to check out the product documentation for a complete understanding of project folders.
